Stops the server this engine started.
POST
/v1/m/agenttools/model-servers/{kind}/stop
const url = 'https://example.com/v1/m/agenttools/model-servers/example/stop';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/agenttools/model-servers/example/stop \ --header 'Authorization: Bearer <token>'Stops the server this engine started. Models stay on disk.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” kind
required
string
Path parameter kind.
Responses
Section titled “ Responses ”The server stopped; its models stay on disk
Media type application/json
object
endpoint
string
installed
required
boolean
kind
required
string
message
string
model
string
models
required
Array<string>
name
required
string
state
required
string
Example
{ "kind": "llama-cpp", "state": "stopped"}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden / step-up required
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict
Media type application/json
object
Example generated
{}Required evidence or store unavailable
Media type application/json
object
Example generated
{}